Bug 791267 - System reboots immediately after hibernating with 3.2-3.6 kernels
System reboots immediately after hibernating with 3.2-3.6 kernels
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-16 10:59 EST by Orion Poplawski
Modified: 2013-03-28 09:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 09:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg with some hibernate/wakeups (79.22 KB, application/octet-stream)
2012-02-16 10:59 EST, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 42721 None None None Never

  None (edit)
Description Orion Poplawski 2012-02-16 10:59:12 EST
Created attachment 562534 [details]
dmesg with some hibernate/wakeups

Description of problem:

Dell Dimension 4700, lspci:
00:00.0 Host bridge: Intel Corporation 82915G/P/GV/GL/PL/910GL Memory Controller Hub (rev 04)
00:01.0 PCI bridge: Intel Corporation 82915G/P/GV/GL/PL/910GL PCI Express Root Port (rev 04)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation G96 [Quadro FX 580] (rev a1)
03:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
03:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller (rev 03)

/proc/acpi/wakeup:
Device  S-state   Status   Sysfs node
VBTN      S4    *enabled   
PCI0      S5    *disabled  no-bus:pci0000:00
PCI1      S5    *enabled   pci:0000:00:1e.0
PCI2      S5    *disabled  pci:0000:00:1c.0
PCI3      S5    *disabled  
PCI4      S5    *disabled  pci:0000:00:01.0
KBD       S3    *enabled   pnp:00:06
USB0      S3    *enabled   pci:0000:00:1d.0
USB1      S3    *enabled   pci:0000:00:1d.1
USB2      S3    *enabled   pci:0000:00:1d.2
USB3      S3    *enabled   pci:0000:00:1d.3

Starting with the 3.2.1-1, the system reboots immediately after completing hibernate.  Works with 3.1.10-2.  The /proc/acpi/wakeup is different with 3.2, the USB devices are enabled with 3.2.  If I disabled *every* wakeup device the system will stay down.
Comment 1 Orion Poplawski 2012-02-16 11:00:25 EST
Upstream bug link.
Comment 2 Dave Jones 2012-03-22 12:57:24 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:01:30 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:12:39 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Orion Poplawski 2012-03-22 16:49:41 EDT
Interestingly, this appears to be triggered by a specific USB device:

[  475.172865] usb 1-1: New USB device found, idVendor=0409, idProduct=0058
[  475.172875] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  475.172881] usb 1-1: Product: USB2.0 Hub Controller
[  475.172886] usb 1-1: Manufacturer: NEC Corporation

If I remove this device, the system stays off.

I have another usb hub:

[ 1316.877416] usb 1-1: New USB device found, idVendor=0424, idProduct=2504
[ 1316.877422] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0

but this one does not cause problems.

But the problem is still present in 3.3.0-4.
Comment 6 Josh Boyer 2012-03-28 13:59:51 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 7 Dave Jones 2012-10-23 11:24:45 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 8 Orion Poplawski 2012-10-23 13:03:06 EDT
Still the same with 3.6.3-1.fc17.i686.PAE
Comment 9 Josh Boyer 2013-03-07 15:13:29 EST
Still an issue with 3.7 or 3.8?
Comment 10 Josh Boyer 2013-03-28 09:54:26 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.